Do more on the web, with a fast and secure browser!

Download Opera browser with:

  • built-in ad blocker
  • battery saver
  • free VPN
Download Opera

Opera comes with Flash pre-installed?

  • Now who is right, avi or sgunhouse. Let's have a final definitive directive please.

    This is what avi posted back in November 2015 .. in replying to a query from me.

    "Does this mean that one has to run the update everytime there is an update to Opera ?

    No. What happened here is that Opera blacklists versions of Flash that have a known security issue. So because Flash was already installed but not updated (because of the weird way pepperflashplugin-nonfree works), and Opera put the version that was installed on a blacklist because it had known security issues, Flash stopped working. After updating Flash it worked again (because now the installed version was not on the blacklist).

    If you're on Ubuntu, use adobe-flashplugin from Canonical Partners instead, it gets updated regularly and doesn't require you to run any other commands."

  • I am pretty sure adobe-flashplugin is not NPAPI. Chrome dropped support for NPAPI-plugins in 2014.

  • Hello my friends in Opera:

    Okay, I just installed Flash, and as I said, there is no public key right now. Hopefully you read the link above from Peppermint that I posted a couple a days ago. This is frustrating a lot of people --myself included. You are not alone!

    The installation of Pepperflash plugin takes about 2 minutes to complete --at least with my less expensive, low speed, high speed DSL connection:

    This is the beginning of what my installation looks like:

    perknh@xerus:~$ sudo apt-get install pepperflashplugin-nonfree
    [sudo] password for perknh:
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Suggested packages:
    ttf-dejavu ttf-xfree86-nonfree
    The following NEW packages will be installed:
    pepperflashplugin-nonfree
    0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
    Need to get 11.2 kB of archives.
    After this operation, 42.0 kB of additional disk space will be used.
    Get:1 http://us.archive.ubuntu.com/ubuntu xenial/multiverse amd64 pepperflashplugin-nonfree amd64 1.8.2ubuntu1 [11.2 kB]
    Fetched 11.2 kB in 0s (50.7 kB/s)
    Selecting previously unselected package pepperflashplugin-nonfree.
    (Reading database ... 220098 files and directories currently installed.)
    Preparing to unpack .../pepperflashplugin-nonfree_1.8.2ubuntu1_amd64.deb ...
    Unpacking pepperflashplugin-nonfree (1.8.2ubuntu1) ...
    Setting up pepperflashplugin-nonfree (1.8.2ubuntu1) ...
    WARNING: W: http://dl.google.com/linux/chrome/deb/dists/stable/Release.gpg: Signature by key 4CCA1EAF950CEE4AB83976DCA040830F7FAC5991 uses weak digest algorithm (SHA1)
    W: There is no public key available for the following key IDs:
    1397BC53640DB551
    --2016-05-02 17:58:22-- http://dl.google.com/linux/chrome/deb/pool/main/g/google-chrome-stable/google-chrome-stable_50.0.2661.94-1_amd64.deb
    Resolving dl.google.com (dl.google.com)... 173.194.204.136, 173.194.204.190, 173.194.204.91, ...
    Connecting to dl.google.com (dl.google.com)|173.194.204.136|:80... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: 48371848 (46M) [application/x-debian-package]
    Saving to: ‘/tmp/pepperflashplugin-nonfree.jEzCIyhKdp/google-chrome-stable_50.0.2661.94-1_amd64.deb’

    This, believe it or not, is the Flash you want, and then, I strongly suggest, you install the free Flash blocker that Opera store offers. When you encounter a site that still uses Flash (such as CBS News --if you live in the States) you can decide whether or not to trust the site and activate, or not activate, Flash.

    Since right now there are no signatures for Pepperflash, this is a backdoor way to see if you have the latest version installed -- you just run the installation command again:

    perknh@xerus:~$ sudo apt-get install pepperflashplugin-nonfree
    [sudo] password for perknh:
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    pepperflashplugin-nonfree is already the newest version (1.8.2ubuntu1).
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    perknh@xerus:~$

    Here's some more information about Pepperflash:

    https://wiki.debian.org/PepperFlashPlayer

    I hope this information helps anyone here make a more informed decision concerning Flash. Flash really is a pain in the butt. Hopefully, in two years time, Flash will have gone the way of the dinosaurs and be extinct!

    All the best,

    perknh

  • Hi there, perknh! Thanks for your throughout answer. I read the link you shared some days ago, and typed the "sudo apt-get install pepperflashplugin-nonfree" command in the terminal. This is what it yields:

    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    pepperflashplugin-nonfree is already the newest version.
    The following packages were automatically installed and are no longer required: kde-l10n-engb kde-l10n-fi libntdb1 python-ntdb
    Use 'apt-get autoremove' to remove them.
    0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.

    However, when I check the flash version from my Chromium, it still displays:

    Adobe Flash Player - Version: 11.2.999.999
    Shockwave Flash 11.2 r999
    Name: Shockwave Flash
    Description: Shockwave Flash 11.2 r999
    Version: 11.2.999.999
    Location: /usr/lib/adobe-flashplugin/libpepflashplayer.so
    Type: PPAPI (out-of-process)

    I am sorry, I've been on Linux Ubuntu 14.04 LTS for more than one week now, and I feel completely helpless with the situation, even though I am willing to learn 😮

    Any ideas? perknh? sgunhouse?

  • I dom't run Ubuntu, I can't comment on that dtuff. I just know that pepperflash is the one you neef. In Opera you can go tp opera:plugins to see which plugins it sees, but in the latest versions even if it sees the NPAPI plugin it won't actually use it. Not certain if that's only the unstable versions or the stable as well.

  • Hello jayaguru-shishya,

    As you probably know now the signatures are screwed up with Pepperflash plugin for the time being. And, as you probably read in Peppermint forum, they'll most likely NOT be updated until Chrome, or Chromium, has a new release.

    Now here's what you would normally do to update Pepperflash:

    sudo update-pepperflashplunin-nonfree --install

    and to check its status you'd run this command:

    sudo update-pepperflashplugin-nonfree --status

    But, unfortunately, now is not a normal time for this, so we're doing workarounds right now. And, on top of all this, I'm taking a look at Xubuntu 16.04 for a little while --although my home distribution is Peppermint 6, which is running off of Trusty Tahr 14.04, so I cannot see exactly what you are looking at, because I'm looking at a new release.

    Now,jayaguru-shishya, how are you checking Pepperflash plugin? And, did you, by chance run two sets of commands --pepperflash and adobe plugin too? Let's see what's going on here.

    Don't despair, jayaguru-shishya, we'll figure this out step by step. And, while we're figuring this out, as safe as Linux is, let's give you little peace of mind in the meantime. Go to Chromium's store (The Chrome Store, really) and add Flashcontrol extension. This will block Flash until you really want to use it. Also, in case you're very new at this, install Synaptic Package Manager too, if you haven't already done so. This is an easy way to see what you have installed. I suspect, you have installed two installations of Flash somehow, and you only need the one that Chromium and Chrome uses now.

    So, in a nutshell:

    1. How are you checking the status of Pepperflash? What does it say in Chromium when you run:

    sudo apt-get install pepperflashplugin-nonfree

    ?

    Please copy and paste what it says for me.

    This is what mine says:

    perknh@xerus:~$ sudo apt-get install pepperflashplugin-nonfree
    [sudo] password for perknh:
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    pepperflashplugin-nonfree is already the newest version (1.8.2ubuntu1).
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    perknh@xerus:~$

    Let's see what happens when you run that command.

    1. Answer this: Did you run two sets of commands --Pepperflash and Adobe Flash?
    1. For your peace of mind, install Flashcontrol extension in Chromium.
    1. Install, if you haven't already done so, Synaptic Package Manager --just in case we need it.
    1. And, finally, don't worry!

    jayaguru-shishya, we'll figure this one out step by step! And, in the meantime, I'll install Opera --which is my favorite browser of all!

    Talk to you soon,

    perknh

  • sgunhouse, does that mean that the Opera browser can be updated to the most recent flash via pepperflash as well? Sorry, I've been staring at this table lately (http://www.adobe.com/software/flash/about/), mentioning that only Chromium and Google Chrome can be updated to the latest Flash from the Linux camp.

    So, I could install Opera on my Linux and update the flash by pepperflash? Also, I am interested in the Opera browser since they say that it comes with a free VPN these days, is that correct? ;-P

    Thanks a lot for all your help !!!

  • perknh, I've been trying to post a more extensive reply to you, addressing all your questions, but it seems that my post got under administrative review (I don't know why though), and hasn't passed that review yet 😞

  • That's okay, jayaguru-shishya, this is normal. Once Opera's staff sees that we're cooperating in good faith, they will let us proceed. This is an unusual topic because we doing workarounds for Pepperflash. Like I said, don't worry! But remember, I need you to copy and paste what your terminal says. And, if for some reason, you don't want to disclose your username, that's fine too. But please put xxxxxs where your username would be. I need to see the results of that command: sudo apt-get install pepperflashplugin-nonfree

    Maybe somehow you've done two installations of Flash, and I assure you're wasting your time looking at Adobe.com. For Ubuntu and its derivatives, that's a dead duck. Look at this link again. This link applies to Opera as well as Chrome and Chromium even though it doesn't mention Opera by name:

    https://wiki.debian.org/PepperFlashPlayer

    Like sgunhouse has said, you need Pepperflash. I also suggest that you install Flashcontrol for Chromium browser and NoFlash for Opera browser. These extensions can only help you. Also one installation of Pepperflash will work for both Chromium and Opera.

    You'll need to start a new topic if you want to discuss Opera's new VPN service, or you can check to see if one has already been started. As much as possible we try to keep our discussions to one topic per thread.

    Of course, we all wander off topic a little at times!

    It's 10:00 PM where I'm at, so I have hit the sack. But I'll check in with you tomorrow.

    perknh

  • Thanks for your reply, perknh! Yeah, that's pretty much what happened: I first ran the set of command for the adobe plugin. It was before I realized that it's a dead end since Adobe no longer supports the Linux version. After that, I found some instructions to install the pepperflash plugin, and I followed those (http://www.webupd8.org/2013/04/install-pepper-flash-player-for.html and http://www.webupd8.org/2014/01/pepper-flash-player-installer-for.html).

    To answer your questions short and clear:

    1. This is what I receive after typing in the command "sudo apt-get install pepperflashplugin-nonfree", and entering the password:

      Reading package lists... Done
      Building dependency tree
      Reading state information... Done
      pepperflashplugin-nonfree is already the newest version.
      The following packages were automatically installed and are no longer required: kde-l10n-engb kde-l10n-fi libntdb1 python-ntdb
      Use 'apt-get autoremove' to remove them.
      0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.

    I have also checked the status of the pepperflash by typing this command to the Chromium's address bar:

    chrome://plugins
    

    This is how it looks like according to Chromium: http://a.disquscdn.com/uploads/mediaupload/tmp/76094ffa5a9acb2c1f1f680f553ee09a66d9daf048b65eea91a87dc2/original.jpg

    1. Yes, I did run the two sets of commands. I ran the adobe ones first. It was until I knew better. 😞

    2. In progress! 😉

    3. In progress! 😉

    4. Comprendo!

    I was an Opera kid when I was still running Windows, and I'd like to return to Opera even now under Linux. Well, that's why I found my way here to the Opera forums 🙂

    The biggest, warmest thanks to you, perknh!

  • All chromium-based browsers support pepperflash, which includes both Opera and Vivaldi - Konqueror (the KDE browser) is not actually chromium-based and so I'm not sure if it uses pepperflash or not. (In principle, khtml is the progenitor of both Safari and Chromium, but I'm not sure how much has been backported to Konqueror.)

    And I've approved one of your posts - when a post gets held don't bother trying to repost as that'll be held too; that one I deleted.

  • Good morning, sgunhouse and jayaguru-shishya. This thread is getting more interesting by the day!

    jayaguru-shishya, I'm now beginning to think that you may have actually installed Flash three times. I'm certain that you've installed Flash correctly once, but this installation is possibly being interfered with by either one or two other unnecessary installations of Flash.

    So, for starters, why do I know that you have installed Flash correctly once?

    I know this because your output from the command you ran says this:

    "pepperflashplugin-nonfree is already the newest version."

    This is good news, and exactly what we want to see!

    However, from you have posted, we know that you have also installed an Adobe command and possibly a PPA for Flash too. These other installation may or may not be interfering with you current correct installation of Flash.

    So, let's begin at the beginning:

    Let's update, upgrade, remove and clean everything we can before we begin this process:

    If you want, you can copy and paste these commands into the terminal.

    Let's update first.

    Run:

    sudo apt-get update

    Now, let's upgrade. Put in a Y, and then hit ENTER, if the terminal asks you to.

    Run:

    sudo apt-get upgrade

    Now, let's autoremove those unnecessay KDE packages:

    Run:

    sudo apt-get autoremove

    Now, let's clean out whatever other bits and pieces you have installed.

    Run:

    sudo apt-get autoclean

    Now, let's go into Ubuntu's Dash (hit the Windows Key or the Dash icon tab in your side panel in Unity) and type the words Software Sources or Software and Updates. You'll see it. It's called one or the other. Click onto Software Sources, or Software and Updates, and open it. And. now, when inside this window, click onto Other Software.

    jayaguru-shishya,do you see any PPA there in the list that says Pepperflash? If your answer is YES, then put a check next to that PPA and then click onto REMOVE. We want to get rid of the darn thing. If your answer is NO, and there's no PPA with Pepperflash, this is a good thing. But, first get back to me with your report. We're not done with this correction yet, jayaguru-shishya, but we're starting to make progress with it!

    perknh

  • Thanks, perknh! I've ran the commands in the terminal now. And yeah, I have the following items in the list:

    http://ppa.launchpad.net/skunk/pepper-flash/ubuntu trusty main
    http://ppa.launchpad.net/skunk/pepper-flash/ubuntu trusty main (Source Code)
    

    The latter appeared in the list FOUR TIMES !!! I am slowly starting to realize that running all the possible command lines that can be found from different websites isn't the way to go (I tried to follow instructions from multiple websites). Here's a photo of how it looks like: http://a.disquscdn.com/uploads/mediaupload/tmp/e5b013b5936ee6464a15602218e3daae6f602bc1e29b99134eb6ade0/original.jpg

  • I should thank you, jayaguru-shishya. You're giving me a workout I haven't had in a while!

    Okay, let's get rid of that Skunk Flash PPA. You don't need it, and you don't want it. I can promise you that.

    First let's install a tool to purge unwanted PPAs:

    Run (You can copy and paste this into your terminal.):

    sudo apt-get install ppa-purge

    And now that we have the tool to purge this PPA, let's remove and purge that Skunk* Flash PPA once and for all --knock on wood!

    Run: (You can copy and paste this into your terminal.)

    sudo ppa-purge ppa:skunk/pepper-flash/ppa

    Say, yes, or put a Y in the terminal if we're lucky enough to remove this old PPA on the first shot.

    Get back to me on this. I want that PPA out of there.

    perknh

    *jayaguru-shishya, I have a feeling this PPA is not called Skunk for nothing, but we'll see what happens.

    (Skunks, generally, unless provoked, are very gentle creatures. Unfortunately people who are called skunks usually aren't nearly as gentle and kind as the creatures they are named after --which is why I'm somewhat concerned about this PPA. We have to get rid of it, and I want all packages and dependencies associated with it gone too. We're not only trying to remove it. We want to purge it completely out of your distribution too.)

  • Hi there, perknh! I wonder if I did it right:

    1. I first removed the aforementioned PPA's from the "Software & Updates -> Other Software" list. It seems this step can be reverted though if necessary.

    2. Next, I ran in the terminal the command lines that you gave me above. After the "sudo ppa-purge ppa:skung/pepper-flash/ppa", I get the following:

      xxxxxs~$ sudo ppa-purge ppa:skunk/pepper-flash/ppa
      Updating packages lists
      PPA to be removed: skunk/pepper-flash ppa
      Warning: Could not find package list for PPA: skunk/pepper-flash ppa
      xxxxxs:~$

    Down with the skunks! Hoorah!

  • Hi jayaguru-shishya,

    I was afraid it might give us a fight. We now have to play with the command:

    Now try:

    sudo ppa-purge ppa:skunk/ppa

    That may do the trick for us. Copy and paste this command, jayaguru-shishya. Skunk is with k and not a g. It's a Native American word.

    perknh

  • Hi there! I executed the command in the terminal, but the problem seems to persist. This is what I get:

    xxxxxs:~$ sudo ppa-purge ppa:skunk/ppa
    [sudo] password for xxxxxs: 
    Updating packages lists
    PPA to be removed: skunk ppa
    Warning:  Could not find package list for PPA: skunk ppa
    xxxxxs:~$ 
    

    Cheers!

  • Alright, it is fighting us. Let's remove these Skunk PPAs first --one by one. Go back to Software & Updates. Click on one Skunk PPA at a time and remove each Skunk PPA one by one.

    Remember we have a copy of them now, so we know what we're going to try to purge after after we remove them.

  • Greetings, perknh. Actually, I already did as I reported two posts ago. 😮 Unfortunately, I can no longer revert the removal since my Linux Ubuntu just freezed, and I had to boot my laptop...

    So indeed, removed they are! 😛

  • Great, jayaguru-shishya, it sounds as if they are both removed and purged. But, for the heck of it, run:

    sudo ppa-purge ppa:skunk/ppa

    one more time.

    Let's read what it says. And, if it's gone, the next thing we want to do is remove and purge Adobe Flash.

    To do this I need to know what command you used to install Adobe Flash --but not Pepperflash --that's the good guy! What command did you use to install Adobe Flash?

    Was it

    sudo apt-get install adobe-flashplugin

    by any chance?

    perknh

    P.S.

    I need to get supper ready, jayaguru-shishya, but we're getting there!

    P.P.S.

    Unity is famous for being a stick in the mud, but that PPA certainly wasn't doing you any good. Skunk Flash, can you imagine?!!!